// Team members data
const teamMembers = [
  {
    name: "Dr. John Doe",
    role: "Group Leader",
    bio: "Specialist in GPU optimization"
  },
  {
    name: "Dr. Jane Smith",
    role: "Senior Researcher",
    bio: "Expert in parallel computing"
  },
  // Add more team members as needed
];

// Populate team members
function populateTeam() {
  const teamGrid = document.getElementById('teamGrid');
  teamMembers.forEach(member => {
    const memberElement = document.createElement('div');
    memberElement.className = 'team-member';
    memberElement.innerHTML = `
      <h3>${member.name}</h3>
      <p>${member.role}</p>
    `;
    memberElement.addEventListener('click', () => showBio(member));
    teamGrid.appendChild(memberElement);
  });
}

// Show member bio in a modal
function showBio(member) {
  alert(`${member.name}\n${member.role}\n\n${member.bio}`);
  // In a real implementation, replace with a proper modal
}

// Mobile navigation toggle
document.querySelector('.nav-toggle').addEventListener('click', () => {
  document.querySelector('.nav-links').classList.toggle('active');
});

// Smooth scroll for navigation links
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
  anchor.addEventListener('click', function (e) {
    e.preventDefault();
    document.querySelector(this.getAttribute('href')).scrollIntoView({
      behavior: 'smooth'
    });
  });
});

// Initialize
document.addEventListener('DOMContentLoaded', () => {
  populateTeam();
});
